%global rolename v2v-conversion-host
%global roleprefix oVirt.
%global ansible_roles_dir ansible/roles

Name: ovirt-ansible-v2v-conversion-host
Summary: Ansible role to setup oVirt host as conversion host for ManageIQ
Version: 1.9.1
Release: 2%{?dist}
Source0: https://github.com/oVirt/ovirt-ansible-v2v-conversion-host/releases/download/v%{version}/%{name}-%{version}.tar.gz
License: ASL 2.0
Group: Virtualization/Management
BuildArch: noarch
Url: http://www.ovirt.org

Requires: ansible >= 2.4

Patch1: 0001-wrapper-grab-VM-name-form-virt-v2v-for-SSH-transport.patch

%description
This Ansible role allows one to setup oVirt host as conversion host for ManageIQ.

%prep
%setup -c -q
%patch1 -p1

%build

%install
export DATAROOT_DIR=%{_datadir}
export PKG_DATA_DIR_ORIG=%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{rolename}
export PKG_DATA_DIR=%{buildroot}$PKG_DATA_DIR_ORIG
export PKG_DOC_DIR=%{buildroot}%{_pkgdocdir}
export AUX_DATA_DIR=%{buildroot}%{_datadir}/%{name}
sh build.sh install

%files
%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{rolename}
%{_datadir}/%{name}/*

%doc README.md
%doc docs/
%doc examples/

%license LICENSE

%changelog
* Thu Jan 24 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.9.1-2
- wrapper patch: grab VM name form virt-v2v for SSH transport method

* Tue Jan 22 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.9.1-1
- updated to upstream version 1.9.1
- removed merged patches

* Tue Jan  8 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.9.0-3
- patch: fix copy module invocation

* Tue Jan  8 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.9.0-2
- patch: users SSH key is not created if missing, use one key for all hosts in
  inventory

* Mon Jan  7 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.9.0-1
- updated to upstream version 1.9.0

* Wed Dec  5 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.8.0-1
- updated to upstream version 1.8.0
- removed merged patches

* Wed Nov 21 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.7.0-4
- fix patch for removing volumes in destination project

* Wed Nov 21 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.7.0-3
- osp: allow disabling of SSL verification (BZ# 1650264)
- osp: remove volumes from destination project in cleanup

* Mon Oct 29 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.7.0-2
- operate in destination project in OpenStack

* Thu Oct 18 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.7.0-1                                                                                                         
- updated to upstream version 1.7.0

* Thu Oct 11 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.6.3-2
- bump NVR for RHV 4.3 testing build 

* Wed Aug 29 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.6.3-1
- fix changelog entry
- updated to upstream version 1.6.3

* Wed Aug 29 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.6.2-1
- updated to upstream version 1.6.2

* Fri Aug 10 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.6.1-1
- updated to upstream version 1.6.1

* Wed Aug  1 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.6.0-1
- Wrapper changes:
  - Fixed issues with handling of UTF-8 names
  - Added check for existance of guest tools ISO
  - Added check for minimal oVirt/RHV version
  - Added --vesrion option
  - Added support for virt-v2v --mac option
- Roles changes:
  - VDDK package URL is optional
  - Added checks for RHV version and existence of ISO with guest tools

* Sun Jul  1 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.5.0-1                                                                                                         
- updated to upstream version 1.5.0
- removed merged patches

* Tue Jun 26 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.4.1-2
- fix issue with ISO detection failing on block storage

* Fri Jun 15 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.4.1-1
- updated to upstream version 1.4.1

* Thu Jun 14 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.4.0-1
- updated to upstream version 1.4.0

* Fri Jun  1 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.3.1-1
- updated to upstream version 1.3.1

* Sun May 20 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.2.0-1
- updated to upstream version 1.2.0
* Thu Apr 12 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.1.2-1
- updated to upstream version 1.1.2
- added URL to upstream sources
* Wed Mar 28 2018 Tomáš Golembiovský <tgolembi@redhat.com> 1.0.0-1
- Initial release
